org.apache.flume.serialization

## Class AvroEventSerializerConfigurationConstants

- java.lang.Object
- - org.apache.flume.serialization.AvroEventSerializerConfigurationConstants

-     public class AvroEventSerializerConfigurationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPRESSION_CODEC` Avro compression codec.
    `static String` | `DEFAULT_COMPRESSION_CODEC`
    `static String` | `DEFAULT_STATIC_SCHEMA_URL`
    `static int` | `DEFAULT_SYNC_INTERVAL_BYTES`
    `static String` | `STATIC_SCHEMA_URL` Avro static Schema URL
    `static String` | `SYNC_INTERVAL_BYTES` Avro sync interval, in approximate bytes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroEventSerializerConfigurationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNC_INTERVAL_BYTES

          public static final String SYNC_INTERVAL_BYTES

      Avro sync interval, in approximate bytes
      See Also:
        Constant Field Values

    - #### DEFAULT_SYNC_INTERVAL_BYTES

          public static final int DEFAULT_SYNC_INTERVAL_BYTES

      See Also:
        Constant Field Values

    - #### COMPRESSION_CODEC

          public static final String COMPRESSION_CODEC

      Avro compression codec. For supported codecs, see Avro's `CodecFactory` class.
      See Also:
        Constant Field Values

    - #### DEFAULT_COMPRESSION_CODEC

          public static final String DEFAULT_COMPRESSION_CODEC

      See Also:
        Constant Field Values

    - #### STATIC_SCHEMA_URL

          public static final String STATIC_SCHEMA_URL

      Avro static Schema URL
      See Also:
        Constant Field Values

    - #### DEFAULT_STATIC_SCHEMA_URL

          public static final String DEFAULT_STATIC_SCHEMA_URL

  - ### Constructor Detail

    - #### AvroEventSerializerConfigurationConstants

          public AvroEventSerializerConfigurationConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.